Bug 112845 - USB Storage partitions with no UUID should use UUID based on disk's
USB Storage partitions with no UUID should use UUID based on disk's
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: devlabel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-03 17:57 EST by Christopher Johnson
Modified: 2014-03-16 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 18:19:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Johnson 2004-01-03 17:57:23 EST
Description of problem:
Neuros with firmware 1.45 when USB connected has UUID on the disk, but
none for the only partition.  Devlabel no longer supports --partnum
and devlabel does not configure UUID of partition device (e.g. sdb1)
based on disk's UUID.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Plug in USB storage device (Neuros)
2. Note the scsi disk device referenced in /var/log/messages: /dev/sdb
3. Issue command: devlabel add -d /dev/sdb1 -s /dev/neuros
  
Actual results:
Produces output:
/dev/sdb1 did not return a UUID.
Failure.  Could not find a UUID for /dev/sdb1.


Expected results:
Devlabel adds entry for /dev/sdb1 utilizing UUID based upon that of
disk device.

Additional info:
devlabel printid -d /dev/sdb
Produces output:
S80:5c00NEUROSdig.audiocomp.

fdisk sees the partition fine:
Disk /dev/sdb: 129 MB, 129761280 bytes
16 heads, 32 sectors/track, 495 cylinders
Units = cylinders of 512 * 512 = 262144 bytes
 
   Device Boot    Start       End    Blocks   Id  System
/dev/sdb1             1       495    126639+   6  FAT16
Partition 1 has different physical/logical endings:
     phys=(488, 15, 32) logical=(494, 11, 31)

The partition can be mounted successfully when the correct device is
located without devlabel's assistance.
Comment 1 Gary Lerhaupt 2004-01-08 01:12:34 EST
My bet is you are using devlabel 0.42.05.  This version has some buggy
code which makes it extra militant and won't allow you to get an id
back from partitions with such problems as "Partition 1 has different
physical/logical endings".

I've made a couple requests and hopefully they will be packaging a
newer version soon.

Secondly, the --partnum stuff was removed because the diff between the
old devlabel and the new devlabel is that the new devlabel will only
use identifiers that are completely specific to the partition.  To
create an ID for the partition based on the disk id with the partition
number at the end is not a truly unique concrete name.

In anycase, go to http://www.lerhaupt.com/devlabel and download the
latest and see if it resolves your issue.
Comment 2 Christopher Johnson 2004-01-08 10:25:25 EST
Correct, it was the default FC1 version of devlabel.  I upgraded to
0.45.01 with your rpm, but the results are the same.  One change -
"devlabel printid -d /dev/sda" now returns "S:NEUROSdig.audiocomp."
which is slightly different from before.  But still no UUID for the
partition and add fails:
 
/dev/sda1 did not return a UUID.
Failure.  Could not find a UUID for /dev/sda1.
Comment 3 Gary Lerhaupt 2004-01-08 11:18:39 EST
Hmm.  Devlabel should now be appending the start sector of the first 
partition onto the uuid of the disk to make a unique identifier for 
the first partition.  On what sector does the partition start?

partx /dev/sda | grep "# 1" | awk {'print $3'}

What does the above command return?

Also, if you manually run partition_uuid /dev/sda1, what is returned?
Comment 4 Christopher Johnson 2004-01-08 22:47:38 EST
partx /dev/sda | grep "# 1" | awk {'print $3'}
32-

partition_uuid /dev/sda1
partition_uuid: partition does not appear to have a UUID
Comment 5 Gary Lerhaupt 2004-01-12 10:56:59 EST
Given that it can find the start sector, it should be able create an 
id for the partition.  My new theory is that the error

 "Partition 1 has different physical/logical endings:
     phys=(488, 15, 32) logical=(494, 11, 31)"

is still tripping things up.  In /var/log/messages, do you see errors 
which say "/dev/sda1 is being put in devlabel's temporary ignore 
list"?
Comment 6 Christopher Johnson 2004-01-16 08:38:34 EST
Yes.  All syslog messages from plugging in the USB connection to the
device follow:

Jan 16 08:31:19 chris kernel: hub.c: new USB device 00:02.0-2,
assigned address 3
Jan 16 08:31:19 chris kernel: usb.c: USB device 3 (vend/prod
0x451/0x5409) is not claimed by any active driver.
Jan 16 08:31:22 chris kernel: Initializing USB Mass Storage driver...
Jan 16 08:31:22 chris kernel: usb.c: registered new driver usb-storage
Jan 16 08:31:22 chris kernel: scsi1 : SCSI emulation for USB Mass
Storage devices
Jan 16 08:31:22 chris kernel:   Vendor: NEUROS    Model: dig. audio
comp.  Rev: 1.00
Jan 16 08:31:22 chris kernel:   Type:   Direct-Access                
     ANSI SCSI revision: 02
Jan 16 08:31:22 chris kernel: Attached scsi removable disk sda at
scsi1, channel 0, id 0, lun 0
Jan 16 08:31:22 chris kernel: SCSI device sda: 253440 512-byte hdwr
sectors (130 MB)
Jan 16 08:31:22 chris kernel: sda: test WP failed, assume Write Enabled
Jan 16 08:31:22 chris kernel:  sda: sda1
Jan 16 08:31:22 chris kernel: USB Mass Storage support registered.
Jan 16 08:31:22 chris devlabel: devlabel's temporary ignore list
/etc/sysconfig/devlabel.d/ignore_list has been emptied due to a change
in device configuration.Jan 16 08:31:22 chris devlabel: The device
/dev/sda1 is being put in devlabel's temporary ignore list
/etc/sysconfig/devlabel.d/ignore_list to avoid errors.
Jan 16 08:31:23 chris devlabel: devlabel service started/restarted
Jan 16 08:31:23 chris devlabel: The symlink /dev/firewire -> /dev/sda1
is being ignored in /etc/sysconfig/devlabel because the correct device
cannot be found.
Jan 16 08:31:23 chris devlabel: The symlink /dev/floppy -> /dev/sda is
being ignored in /etc/sysconfig/devlabel because the correct device
cannot be found.
Comment 7 Bill Nottingham 2005-01-21 18:19:18 EST
At this point FC1 has reached its end of life, and it is unlikely that these
issues will be looked at for FC2's devlabel.

Note You need to log in before you can comment on or make changes to this bug.